Create Service Request File: Propertyware
https://api.propexo.com/v1/service-requests/propertyware/:service_request_id/file-upload/| Method |
|---|
| attachDocumentToWorkOrder |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
attachment objectrequired
Attachment file on the service request
The contents of the file, as a base64 encoded string. The PMS has a max file size of 12 MB.
Possible values: <= 16735272 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
General notes about the file
If the file should be marked as private
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the service request
attachment objectrequired
The contents of the file, as a base64 encoded string. The PMS has a max file size of 12 MB.
Possible values: <= 16735272 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-requests/propertyware/:service_request_id/file-upload/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachment": {
"file_data": "string",
"file_name": "string",
"mime_type": "string"
}
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"service_request_id": "string",
"attachment": {
"file_data": "string",
"file_name": "string",
"mime_type": "string"
},
"notes": "string",
"is_private": true
}
}